%define rname           mozTrayBiff
%define pkgname         moztraybiff
%define tbver           1.5.0.9
%define tbdir           %{_libdir}/mozilla-thunderbird-%{tbver}
%define tbextdir        %{tbdir}-extensions
%define tbextuuid       \{2e1b75f1-6b5a-4f1d-89b4-424f636e4fba\}
%define xpi             0

Name:           mozilla-thunderbird-%{pkgname}
Version:        1.2.2
Release:        %mkrel 6	
Epoch:          0
Summary:        Mozilla New Mail Icon
URL:            http://moztraybiff.mozdev.org/
Source0:        http://downloads.mozdev.org/moztraybiff/mozTrayBiff-%{version}.tar.bz2
Source1:        %{name}-chrome.manifest
License:        LGPL
Group:          Networking/Mail
Requires(post):   mozilla-thunderbird = 0:%{tbver}
Requires(postun): mozilla-thunderbird = 0:%{tbver}
BuildRequires:  gtk2-devel
BuildRequires:  mozilla-thunderbird-devel = 0:%{tbver}
BuildRequires:  zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mozilla New Mail Icon is an extension which displays an icon in the 
system tray when new mail arrives in your Mozilla or Mozilla 
Thunderbird. It supports the standard (FreeDesktop.org) system tray, as 
used by GNOME, KDE and IceWM.

This extension was previously called Mozilla Free Desktop Integration.

%prep
%setup -q -n %{rname}-%{version}

%build
%{make} MOZ_TRUNK=1 MOZILLA_PLATFORM=tbird MULTI_PLATFORM=0 REAL_CONFIG=%{_bindir}/mozilla-thunderbird-config

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{tbextdir}
%if !%{xpi}
%{__mkdir_p} %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{_bindir}/unzip -qq mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi -d %{buildroot}%{tbdir}/extensions/%{tbextuuid}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{tbdir}/extensions/%{tbextuuid}/chrome.manifest
%else
%{__install} -m 644 mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi %{buildroot}%{tbextdir}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

TMPDIR= TB_TMPDIR=`/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%postun
if [ -f %{tbdir}/components/xpti.dat ]; then
    %{__rm} -f %{tbdir}/components/xpti.dat
fi

if [ -f %{tbdir}/components/compreg.dat ]; then
    %{__rm} -f %{tbdir}/components/compreg.dat
fi

TMPDIR= TB_TMPDIR=`/bin/mktemp -d -q -p /tmp -t %{name}.XXXXXXXXXX` && {
%if %{xpi}
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -install-global-extension %{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif
    HOME="$TB_TMPDIR" LD_LIBRARY_PATH="%{tbdir}" %{tbdir}/thunderbird-bin -nox -register
    test -d "$TB_TMPDIR" && %{__rm} -rf -- "$TB_TMPDIR"
}

%files
%defattr(-,root,root)
%doc changelog README
%if !%{xpi}
%{tbdir}/extensions/%{tbextuuid}
%else
%{tbextdir}/mozTrayBiff-%{version}-tb%{tbver}-Linux_-gcc3.xpi
%endif


%changelog
* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 0:1.2.2-6mdv2007.1
+ Revision: 104738
- rebuild for new thunderbird

* Thu Nov 09 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-5mdv2007.1
+ Revision: 79969
- Use hardcoded thunderbird version
- Import mozilla-thunderbird-moztraybiff



* Fri Sep 15 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-4mdv2007.0
- rebuild for thunderbird 1.5.0.7

* Sat Aug 03 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-3mdv2007.0
- rebuild for thunderbird 1.5.0.5

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-2mdv2007.0
- rebuild for thunderbird 1.5.0.4

* Wed Apr 26 2006 David Walluck <walluck@mandriva.org> 0:1.2.2-1mdk
- 1.2.2
- drop build patch and instead set MULTI_PLATFORM=0
- drop install.rdf patch as it has been fixed upstream

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-6mdk
- fix maxVersion

* Fri Apr 21 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-5mdk
- rebuild for new thunderbird 1.5.0.2

* Wed Apr 19 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-4mdk
- rebuild to fix libxpcom.so dependency

* Tue Feb 14 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-3mdk
- BuildRequires: gtk2-devel

* Fri Feb 10 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-2mdk
- support installing as an xpi
- copy chrome.manifest as %%{SOURCE1}

* Sat Jan 07 2006 David Walluck <walluck@mandriva.org> 0:1.2.1-1mdk 
- 1.2.1

* Mon Dec 12 2005 David Walluck <walluck@mandriva.org> 0:1.2-1mdk
- 1.2

* Sat Oct 08 2005 David Walluck <walluck@mandriva.org> 0:1.1-1mdk
- release
